Bug 108194 - Visual corruption when scrolling with scroll bar
Visual corruption when scrolling with scroll bar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 10:04 EST by David Balažic
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 16:44:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of corruption (see at bottom) (113.99 KB, image/png)
2003-10-28 10:13 EST, David Balažic
no flags Details
Screen shot of correct content, for comparison (134.97 KB, image/png)
2003-10-28 10:14 EST, David Balažic
no flags Details

  None (edit)
Description David Balažic 2003-10-28 10:04:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:
When using the scroll bar with the mouse to scroll up a gnome-terminal that has
some content and then slowly scroll down back to the bottom, some corruption occur.

If one scrolls up again and then scrolls back down by clicking below the scroll
bar ( below the "handle" but still inside the scroller GUI element ), then there
is no corruption.

I'll attach a screenshot of the corruption.

Version-Release number of selected component (if applicable):
gnome-terminal-2.4.0.1-1

How reproducible:
Didn't try

Additional info:

gfx card is radeon 8500LE

System is a fresh Fedora Test3 install
Comment 1 David Balažic 2003-10-28 10:13:06 EST
Created attachment 95549 [details]
Screenshot of corruption (see at bottom)
Comment 2 David Balažic 2003-10-28 10:14:50 EST
Created attachment 95550 [details]
Screen shot of correct content, for comparison
Comment 3 Steve Baker 2004-01-05 22:57:45 EST
I have also seen this corruption with an fully updated FC1. This is on
a laptop with an Intel video chipset.

I can provide more details on request.
Comment 4 David Balažic 2004-01-11 10:32:47 EST
Happened again. VGAis radeon 8500LE.
Does not seem to happen on smaller windows.
Maximized windows always have this problem,it seems.
Steps :
 - start new gnome-terminal
 - maximize its size ( my screen size is 1024x768x24bit@85Hz )
 - fill it ( cat /etc/* is good )
 - scroll with the mouse up and then slowly down ( by dragging the
scroller widget on the right )
 result : corruption
Comment 5 Bradley Remedios 2004-11-18 01:47:03 EST
This happens to me also.  It is the same corruption as the already
posted images.  The severity depends on the scroll method used.

This problem did not exist with this laptop on Fedora Core 2.  It is
new to Fedora Core 3.

Video Card ATI Radeon 9000 Mobility IGP
Fedora Core 3 (From DVD)

TO REPRODUCE:

1. Maximize gnome-terminal

2. Get more than a screens worth of text

3. Scroll up then down using steps below.  Corruption only happens
when scrolling down.

The corruption only occurs when scrolling using the scroll-wheel or by
grabbing the scroll-bar and dragging it up and down.

Corruption does not occur while using the Shift+PgUp and Shift+PgDn
keys or by clicking in the empty space outside of the scrollbar.
Comment 6 Warren Togami 2005-09-09 16:44:40 EDT
AFAIK this has been fixed in 0.11.13 and 0.11.14 which have been issued in FC3,
FC4 and FC5.

Note You need to log in before you can comment on or make changes to this bug.